using System;
using System.Collections;
using System.Configuration;
using System.Data;
using System.Linq;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.HtmlControls;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Xml.Linq;
using System.Data.SqlClient;
using System.Text;
using System.Drawing;

public partial class Agent_PanAcknowledgement : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
        try
        {
            //lblName.Text = Convert.ToString(Session["Name"]);
            //lblDate.Text = Convert.ToString(Session["ResponseDate"]);
            lblCoupanNo.Text = Convert.ToString(Session["CouponNo"]);
            //lblCoupanNo.Text = "441122334455";
            GetResponseDate();
        }
        catch (Exception ex)
        {
            throw (ex);
        }    
    }

    public void GetResponseDate()
    {
        SqlParameter[] date = new SqlParameter[] 
        {
            new SqlParameter("@CoupanNo",lblCoupanNo.Text.Trim())
        };
        DataSet ds = SqlHelper.GetDataSet(SqlHelper.mainConnectionString, CommandType.StoredProcedure, "up_getResponsedate", date);
        if (ds.Tables[0].Rows.Count != 0)
        {
            lblName.Text = Convert.ToString(ds.Tables[0].Rows[0]["CustName"]);
            lblDate.Text = Convert.ToString(ds.Tables[0].Rows[0]["ResponseDate"]);
        }
    }
    protected void btnBack_Click(object sender, EventArgs e)
    {
        Response.Redirect("Index.aspx");
    }
}
